<runtime ram="32M" caps="768" binary="init">

	<requires>
		<audio_out/>
		<nic/>
		<report/>
		<rm/>
	</requires>

	<config>
		<parent-provides>
			<service name="CPU"/>
			<service name="LOG"/>
			<service name="PD"/>
			<service name="RM"/>
			<service name="ROM"/>
			<service name="Audio_out"/>
			<service name="Timer"/>
			<service name="Nic"/>
			<service name="Report"/>
		</parent-provides>
		<start name="icy_client" caps="512">
			<resource name="RAM" quantum="16M"/>
			<config>
				<stream url="@STREAM_URL@" dest="/terminal" report="yes"/>
				<libc stderr="/log" stdout="/log" socket="/socket" rtc="/rtc"/>
				<vfs>
					<dir name="socket"> <lwip dhcp="yes"/> </dir>
					<log/>
					<terminal/>
					<inline name="rtc">2001-01-01 00:01</inline>
				</vfs>
			</config>
			<route>
				<any-service> <parent/> <any-child/> </any-service>
			</route>
		</start>

		<start name="mp3_audio_sink" caps="256">
			<resource name="RAM" quantum="8M"/>
			<provides>
				<service name="Terminal"/>
			</provides>
			<config>
				<vfs> <null/> </vfs>
				<libc stdout="/null" stderr="/null"/>
			</config>
			<route>
				<any-service> <parent/> </any-service>
			</route>
		</start>
	</config>

	<content>
		<rom label="icy_client"/>
		<rom label="init"/>
		<rom label="libc.lib.so"/>
		<rom label="libm.lib.so"/>
		<rom label="libmpg123.lib.so"/>
		<rom label="mp3_audio_sink"/>
		<rom label="vfs.lib.so"/>
		<rom label="vfs_lwip.lib.so"/>
		<rom label="zlib.lib.so"/>
	</content>

</runtime>
